Upstream information

CVE-2022-47085 at MITRE

Description

An issue was discovered in ostree before 2022.7 allows attackers to cause a denial of service or other unspecified impacts via the print_panic function in repo_checkout_filter.rs.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database
Base Score 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Attack Vector Network
Attack Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact High
CVSSv3 Version 3.1
SUSE Bugzilla entry: 1213468 [RESOLVED / INVALID]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 libostree Not affected
SUSE Linux Enterprise Desktop 15 SP5 libostree Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 libostree Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 libostree Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP5 libostree Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP5 libostree Not affected
SUSE Linux Enterprise Real Time 15 SP3 libostree Not affected
SUSE Linux Enterprise Server 12 SP5 libostree Not affected
SUSE Linux Enterprise Server 15 SP5 libostree Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libostree Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 libostree Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP5 libostree Not affected
SUSE Manager Proxy 4.3 libostree Not affected
SUSE Manager Retail Branch Server 4.3 libostree Not affected
SUSE Manager Server 4.3 libostree Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 libostree Not affected
SUSE Linux Enterprise High Performance Computing 15 libostree Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 libostree Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS libostree Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS libostree Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 libostree Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS libostree Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS libostree Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 libostree Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS libostree Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS libostree Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 libostree Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS libostree Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS libostree Not affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS libostree Not affected
SUSE Linux Enterprise High Performance Computing 15-LTSS libostree Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 libostree Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 libostree Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 libostree Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 libostree Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 libostree Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 libostree Not affected
SUSE Linux Enterprise Server 15 SP2 libostree Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS libostree Not affected
SUSE Linux Enterprise Server 15 SP3 libostree Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS libostree Not affected
SUSE Linux Enterprise Server 15 SP4 libostree Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS libostree Not affected
SUSE Linux Enterprise Server for SAP Applications 15 libostree Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 libostree Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 libostree Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libostree Not affected
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.0 libostree Not affected
SUSE Enterprise Storage 6 libostree Not affected
SUSE Enterprise Storage 7 libostree Not affected
SUSE Linux Enterprise Desktop 15 libostree Not affected
SUSE Linux Enterprise Desktop 15 SP1 libostree Not affected
SUSE Linux Enterprise Desktop 15 SP2 libostree Not affected
SUSE Linux Enterprise Desktop 15 SP3 libostree Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 libostree Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 libostree Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 libostree Not affected
SUSE Linux Enterprise Real Time 15 SP2 libostree Not affected
SUSE Linux Enterprise Real Time 15 SP4 libostree Not affected
SUSE Linux Enterprise Server 15 libostree Not affected
SUSE Linux Enterprise Server 15 SP1 libostree Not affected
SUSE Linux Enterprise Server 15 SP1-BCL libostree Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS libostree Not affected
SUSE Linux Enterprise Server 15 SP2-BCL libostree Not affected
SUSE Linux Enterprise Server 15 SP3-BCL libostree Not affected
SUSE Linux Enterprise Server 15-LTSS libostree Not affected
SUSE Manager Proxy 4.0 libostree Not affected
SUSE Manager Proxy 4.1 libostree Not affected
SUSE Manager Proxy 4.2 libostree Not affected
SUSE Manager Retail Branch Server 4.0 libostree Not affected
SUSE Manager Retail Branch Server 4.1 libostree Not affected
SUSE Manager Retail Branch Server 4.2 libostree Not affected
SUSE Manager Server 4.0 libostree Not affected
SUSE Manager Server 4.1 libostree Not affected
SUSE Manager Server 4.2 libostree Not affected


SUSE Timeline for this CVE

CVE page created: Tue Jul 18 18:04:24 2023
CVE page last modified: Thu Feb 22 17:21:58 2024